#-------------------------------------------------
#  Copyright 2016 ESRI
#
#  All rights reserved under the copyright laws of the United States
#  and applicable international laws, treaties, and conventions.
#
#  You may freely redistribute and use this sample code, with or
#  without modification, provided you include the original copyright
#  notice and use restrictions.
#
#  See the Sample code usage restrictions document for further information.
#-------------------------------------------------

TEMPLATE = app

QT += core gui opengl network positioning sensors qml quick
CONFIG += c++11

ARCGIS_RUNTIME_VERSION = 100.2.1
include($$PWD/arcgisruntime.pri)

HEADERS += \
    AppInfo.h \
    DemoLibTest.h

SOURCES += \
    main.cpp \
    DemoLibTest.cpp

RESOURCES += \
    qml/qml.qrc \
    Resources/Resources.qrc

#-------------------------------------------------------------------------------

win32 {
    include (Win/Win.pri)
    CONFIG(debug, release|debug): LIBS += -L$$PWD/../build-DemoLib-Desktop_Qt_5_10_1_MSVC2017_64bit-Debug/debug/ -lDemoLib
}

macx {
    include (Mac/Mac.pri)
    #QMAKE_LFLAGS += "-undefined dynamic_lookup"
    CONFIG(debug, release|debug) {
        LIBS += -L$$PWD/../build-DemoLib-Desktop_Qt_5_10_1_clang_64bit-Debug/ -lDemoLib
        QMAKE_POST_LINK  += install_name_tool -change libDemoLib.dylib \"$$PWD/../build-DemoLib-Desktop_Qt_5_10_1_clang_64bit-Debug/libDemoLib.dylib\" DemoLibTest.app/Contents/MacOS/DemoLibTest $$escape_expand(\n\t)
    }
    #QMAKE_MACOSX_DEPLOYMENT_TARGET = 10.11
}

INCLUDEPATH += $$PWD/../DemoLib
DEPENDPATH += $$PWD/../DemoLib
