
// Copyright 2016 ESRI
//
// All rights reserved under the copyright laws of the United States
// and applicable international laws, treaties, and conventions.
//
// You may freely redistribute and use this sample code, with or
// without modification, provided you include the original copyright
// notice and use restrictions.
//
// See the Sample code usage restrictions document for further information.
//

import QtQuick 2.6
import QtQuick.Controls 1.4
import Esri.DemoLibTest 1.0

DemoLibTest {
    id: test
    width: 400
    height: 100

    Grid {
        anchors.fill: parent
        rows: 3
        leftPadding: 10
        topPadding: 5
        spacing: 10

        Button {
            objectName: "btnTest"
            text: "Test"
            onClicked: test.runTest()
        }

        Label {
            objectName: "lblStatus"
            text: "OK"
        }

        Label {
            objectName: "lblComplete"
            text: ""
        }

    }

}
